summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorCecil <knoppmyth@gmail.com>2011-08-18 19:30:54 (GMT)
committerCecil <knoppmyth@gmail.com>2011-08-18 19:30:54 (GMT)
commitf738fb2a8615c5a5381ec37fe4fe85059f838bd5 (patch)
treedf05558e38722711df52a4adb6f4ec41aff693e7 /abs
parent6e110f1d640deeb5a0ce0a0594f7ac16b4afa1e2 (diff)
parent152eb1fd6addff02e84602e7e95b9eb8a1dec735 (diff)
downloadlinhes_pkgbuild-f738fb2a8615c5a5381ec37fe4fe85059f838bd5.zip
linhes_pkgbuild-f738fb2a8615c5a5381ec37fe4fe85059f838bd5.tar.gz
linhes_pkgbuild-f738fb2a8615c5a5381ec37fe4fe85059f838bd5.tar.bz2
Merge branch 'testing' of ssh://cesman@linhes.org/mount/repository/linhes_pkgbuild into testing
Diffstat (limited to 'abs')
-rwxr-xr-xabs/core/runit-scripts/PKGBUILD3
-rwxr-xr-xabs/core/runit-scripts/runit.install22
-rw-r--r--abs/core/runit/PKGBUILD12
-rwxr-xr-xabs/core/runit/runit.install60
-rw-r--r--abs/core/sysvinit/PKGBUILD10
-rw-r--r--abs/core/sysvinit/__changelog6
-rw-r--r--abs/extra/community/fuzemux-svn/PKGBUILD41
-rw-r--r--abs/extra/community/fuzemux/PKGBUILD26
-rw-r--r--abs/extra/community/fuzemux/fuzemux.install (renamed from abs/extra/community/fuzemux-svn/fuzemux-svn.install)0
-rw-r--r--abs/extra/community/video4fuze/PKGBUILD38
-rw-r--r--abs/extra/community/video4fuze/video4fuze.install9
11 files changed, 130 insertions, 97 deletions
diff --git a/abs/core/runit-scripts/PKGBUILD b/abs/core/runit-scripts/PKGBUILD
index 828e54c..dd326e6 100755
--- a/abs/core/runit-scripts/PKGBUILD
+++ b/abs/core/runit-scripts/PKGBUILD
@@ -1,6 +1,6 @@
pkgname=runit-scripts
pkgver=2.1.1
-pkgrel=25
+pkgrel=26
pkgdesc="collection of startup scripts for runit"
url="http://smarden.org/runit/"
license="BSD"
@@ -18,7 +18,6 @@ build() {
cd $startdir/src/runitscripts
install -d $startdir/pkg/etc/
install -d $startdir/pkg/etc/runit/
- install -d $startdir/pkg/var/service
install -d $startdir/pkg/etc/sv
install -d $startdir/pkg/sbin
install -d $startdir/pkg/etc/rc.d/functions.d
diff --git a/abs/core/runit-scripts/runit.install b/abs/core/runit-scripts/runit.install
index 813d9f2..b98574f 100755
--- a/abs/core/runit-scripts/runit.install
+++ b/abs/core/runit-scripts/runit.install
@@ -1,29 +1,9 @@
# arg 1: the new package version
-pre_install () {
-if [ ! -f /sbin/halt-init ]
-then
- mv /sbin/halt /sbin/halt-init
- rm -f /sbin/reboot
- rm -f /sbin/poweroff
-fi
-
-}
-
-pre_upgrade () {
-if [ ! -f /sbin/halt-init ]
-then
- mv /sbin/halt /sbin/halt-init
- rm -f /sbin/reboot
- rm -f /sbin/poweroff
-fi
-
-}
-
post_install () {
[ -e /service ] || mkdir /service
- servicelist="acpid cron frontend lircd ntpd alsa-utils avahi dbus sshd syslog-ng tty2 tty3"
+ servicelist="acpid cron frontend lircd ntpd alsa-utils avahi dbus sshd syslog-ng tty2 tty3"
for i in $servicelist
do
ln -s /etc/sv/$i /service/$i
diff --git a/abs/core/runit/PKGBUILD b/abs/core/runit/PKGBUILD
index a3b202e..f1b1bb2 100644
--- a/abs/core/runit/PKGBUILD
+++ b/abs/core/runit/PKGBUILD
@@ -1,6 +1,6 @@
pkgname=runit
pkgver=2.1.1
-pkgrel=3
+pkgrel=4
pkgdesc="A replacement for sysvinit, and other init schemes, with service supervision"
url="http://smarden.org/runit/"
license=('BSD')
@@ -46,18 +46,8 @@ package() {
install -m0644 ../man/*.8 $pkgdir/usr/man/man8
gzip -9 $pkgdir/usr/man/man8/*.8 || return 1
-# rsync -a --exclude=.svn $startdir/runitscripts $srcdir
-# cd $srcdir/runitscripts
-
install -d $pkgdir/etc/
install -d $pkgdir/etc/runit/
- install -d $pkgdir/var/service
-
-# install -m0700 1 2 3 ctrlaltdel $pkgdir/etc/runit
-# install -m0755 reboot-runit halt-runit logger $pkgdir/sbin
-
- # install -d $pkgdir/etc/sv
- # rsync -a --exclude=.svn services/* $pkgdir/etc/sv
cd $startdir
install -d $pkgdir/usr/bin
diff --git a/abs/core/runit/runit.install b/abs/core/runit/runit.install
index 392d7be..b62e94e 100755
--- a/abs/core/runit/runit.install
+++ b/abs/core/runit/runit.install
@@ -1,38 +1,58 @@
# arg 1: the new package version
pre_install () {
-if [ ! -f /sbin/halt-init ]
-then
- mv /sbin/halt /sbin/halt-init
- mv /sbin/shutdown /sbin/shutdown-init
+if [ ! -L /sbin/halt ] ; then
+ if [ -f /sbin/halt ] ; then
+ mv /sbin/halt /sbin/halt-init
+ fi
+fi
+
+if [ ! -L /sbin/shutdown ] ; then
+ if [ -f /sbin/shutdown ] ; then
+ mv /sbin/shutdown /sbin/shutdown-init
+ fi
+fi
+
+if [ -e /sbin/reboot ] ; then
+ rm -f /sbin/reboot
+fi
+
+if [ -e /sbin/poweroff ] ; then
+ rm -f /sbin/poweroff
fi
- rm -f /sbin/reboot
- rm -f /sbin/poweroff
}
pre_upgrade () {
-if [ ! -f /sbin/halt-init ]
-then
- mv /sbin/halt /sbin/halt-init
+if [ ! -f /sbin/halt-init ] ; then
+ if [ ! -L /sbin/halt ] ; then
+ mv /sbin/halt /sbin/halt-init
+ fi
+fi
+
+if [ ! -f /sbin/shutdown-init ] ; then
+ if [ ! -L /sbin/shutdown ] ; then
+ mv /sbin/shutdown /sbin/shutdown-init
+ fi
+fi
+
+if [ -e /sbin/reboot ] ; then
+ rm -f /sbin/reboot
fi
-if [ ! -f /sbin/shutdown-init ]
-then
- mv /sbin/shutdown /sbin/shutdown-init
+if [ -e /sbin/poweroff ] ; then
+ rm -f /sbin/poweroff
fi
- rm -f /sbin/reboot
- rm -f /sbin/poweroff
}
post_install () {
- [ -e /sbin/halt ] || ln -s /sbin/halt.script /sbin/halt
- [ -e /sbin/reboot ] || ln -s /sbin/reboot.script /sbin/reboot
- [ -e /sbin/poweroff ] || ln -s /sbin/poweroff.script /sbin/poweroff
- [ -e /sbin/reboot.init ] || ln -s /sbin/halt-init /sbin/reboot.init
- [ -e /sbin/poweroff.init ] || ln -s /sbin/halt-init /sbin/poweroff.init
- [ -e /sbin/shutdown ] || ln -s /sbin/shutdown.script /sbin/shutdown
+ [ -e /sbin/halt ] || ln -sf /sbin/halt.script /sbin/halt
+ [ -e /sbin/reboot ] || ln -sf /sbin/reboot.script /sbin/reboot
+ [ -e /sbin/poweroff ] || ln -sf /sbin/poweroff.script /sbin/poweroff
+ [ -e /sbin/reboot.init ] || ln -sf /sbin/halt-init /sbin/reboot.init
+ [ -e /sbin/poweroff.init ] || ln -sf /sbin/halt-init /sbin/poweroff.init
+ [ -e /sbin/shutdown ] || ln -sf /sbin/shutdown.script /sbin/shutdown
}
# arg 1: the new package version
diff --git a/abs/core/sysvinit/PKGBUILD b/abs/core/sysvinit/PKGBUILD
index 110d93c..3be24b0 100644
--- a/abs/core/sysvinit/PKGBUILD
+++ b/abs/core/sysvinit/PKGBUILD
@@ -4,14 +4,13 @@
pkgname=sysvinit
pkgver=2.88
-pkgrel=3
+pkgrel=4
pkgdesc="Linux System V Init"
arch=('i686' 'x86_64')
url="http://savannah.nongnu.org/projects/sysvinit"
license=('GPL')
groups=('base')
depends=('shadow' 'util-linux' 'coreutils' 'glibc' 'awk')
-install=sysvinit.install
source=(http://download.savannah.gnu.org/releases/sysvinit/${pkgname}-${pkgver}dsf.tar.bz2 halt-init.patch)
build() {
@@ -23,6 +22,13 @@ build() {
package() {
cd "${srcdir}/${pkgname}-${pkgver}dsf"
make ROOT="${pkgdir}" install
+
+ # Rename some stuff so it does not bigfoot changes needed for runit
+ cd "${pkgdir}/sbin"
+ rm -f reboot poweroff
+ mv halt halt-init
+ mv shutdown shutdown-init
+
}
md5sums=('6eda8a97b86e0a6f59dabbf25202aa6f'
'cd4c5767f63ca5881e3e1f1c4f10f896')
diff --git a/abs/core/sysvinit/__changelog b/abs/core/sysvinit/__changelog
index 9dc0b73..2a93469 100644
--- a/abs/core/sysvinit/__changelog
+++ b/abs/core/sysvinit/__changelog
@@ -18,3 +18,9 @@ patch halt to work with runit
* Get flags
*/
+
+# mjh 08-17-2011
+* mv halt to halt-init
+* mv shutdown shutdown-init
+* rm -f reboot poweroff
+* remove sysvinit.install
diff --git a/abs/extra/community/fuzemux-svn/PKGBUILD b/abs/extra/community/fuzemux-svn/PKGBUILD
deleted file mode 100644
index 1acc914..0000000
--- a/abs/extra/community/fuzemux-svn/PKGBUILD
+++ /dev/null
@@ -1,41 +0,0 @@
-# Contributor: Michael Hanson <hansonorders@verizon.net>
-# Maintainer: Michael Hanson <hansonorders@verizon.net>
-pkgname=fuzemux-svn
-pkgver=11
-pkgrel=2
-pkgdesc="A tool to remux AVI video files for the San Disk Sansa Fuze portable media player"
-arch=('i686' 'x86_64')
-url="http://code.google.com/p/fuzemux"
-license=('GPL3')
-#depends=()
-makedepends=('subversion' 'autoconf')
-provides=('fuzemux')
-install=('fuzemux-svn.install')
-
-_svntrunk=http://fuzemux.googlecode.com/svn/trunk/
-_svnmod=fuzemux
-
-build() {
- cd "$srcdir"
-
- if [ -d $_svnmod/.svn ]; then
- (cd $_svnmod && svn up -r $pkgver)
- else
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
- fi
-
- msg "SVN checkout done or server timeout"
- msg "Starting make..."
-
- rm -rf "$srcdir/$_svnmod-build"
- cp -r "$srcdir/$_svnmod" "$srcdir/$_svnmod-build"
- cd "$srcdir/$_svnmod-build"
-
- #
- # BUILD
- #
- /usr/bin/autoreconf --install
- ./configure --prefix=/usr
- make || return 1
- make DESTDIR="$pkgdir/" install
-}
diff --git a/abs/extra/community/fuzemux/PKGBUILD b/abs/extra/community/fuzemux/PKGBUILD
new file mode 100644
index 0000000..aa542a5
--- /dev/null
+++ b/abs/extra/community/fuzemux/PKGBUILD
@@ -0,0 +1,26 @@
+# Contributor: Michael Hanson <hansonorders@verizon.net>
+# Maintainer: Michael Hanson <hansonorders@verizon.net>
+pkgname=fuzemux
+pkgver=0.1.2
+pkgrel=1
+pkgdesc="A tool to remux AVI video files for the San Disk Sansa Fuze portable media player"
+arch=('i686' 'x86_64')
+url="http://code.google.com/p/fuzemux"
+license=('cc-by-sa-3.0')
+source=("http://${pkgname}.googlecode.com/files/${pkgname}-${pkgver}-fixed.tar.gz")
+provides=('fuzemux')
+replaces=('fuzemux-svn')
+install=fuzemux.install
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir}/ install
+}
+md5sums=('6c7323e9b98620b39644e4d652b3f8ad')
diff --git a/abs/extra/community/fuzemux-svn/fuzemux-svn.install b/abs/extra/community/fuzemux/fuzemux.install
index 877ec1b..877ec1b 100644
--- a/abs/extra/community/fuzemux-svn/fuzemux-svn.install
+++ b/abs/extra/community/fuzemux/fuzemux.install
diff --git a/abs/extra/community/video4fuze/PKGBUILD b/abs/extra/community/video4fuze/PKGBUILD
new file mode 100644
index 0000000..35c1e85
--- /dev/null
+++ b/abs/extra/community/video4fuze/PKGBUILD
@@ -0,0 +1,38 @@
+# Contributor: Michael Hanson <hansonorders@verizon.net>
+# Maintainer: Michael Hanson <hansonorders@verizon.net>
+pkgname=video4fuze
+pkgver=0.6
+pkgrel=1
+pkgdesc="A tool to make videos compatable with the San Disk Sana Fuze media player"
+arch=('i686' 'x86_64')
+url="http://code.google.com/p/video4fuze"
+license=('GPL3' 'CC-BY-SA-3.0')
+depends=('fuzemux' 'python2>=2.5' 'qt>=4.5' 'pyqt>=4.5' 'python-imaging' 'mplayer' 'ffmpeg-svn')
+optdepends=('xterm')
+source=("http://${pkgname}.googlecode.com/files/${pkgname}-${pkgver}%2B.tar.gz")
+provides=('video4fuze')
+replaces=('video4fuze-svn')
+install=video4fuze.install
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}+
+
+ for file in GUI/*.py *.py *.pyw ; do
+ sed -i 's_#!/usr/bin/env python_#!/usr/bin/env python2_' ${file}
+ done
+
+ sed -i 's/^python/python2/g' dist/*
+
+ lrelease video4fuze_e4x.pro
+
+ python2 setup.py install --root="$pkgdir" || return 1
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}+
+ install -D -m644 README.txt ${pkgdir}/usr/share/doc/video4fuze/README || return 1
+ chmod 755 ${pkgdir}/usr/share/video4fuze/*.py || return 1
+ chmod 755 ${pkgdir}/usr/share/video4fuze/*.pyw || return 1
+ chmod 755 ${pkgdir}/usr/share/video4fuze/GUI/*.py || return 1
+}
+md5sums=('f19250f2e166e10e5b115e8bffdfee35')
diff --git a/abs/extra/community/video4fuze/video4fuze.install b/abs/extra/community/video4fuze/video4fuze.install
new file mode 100644
index 0000000..d6e391f
--- /dev/null
+++ b/abs/extra/community/video4fuze/video4fuze.install
@@ -0,0 +1,9 @@
+post_install() {
+ ln -s /usr/share/video4fuze/video4fuze.pyw /usr/bin/video4fuze
+ ln -s /usr/share/video4fuze/fuze.py /usr/bin/fuze.py
+}
+
+pre_remove() {
+ rm -f /usr/bin/video4fuze
+ rm -f /usr/bin/fuze.py
+}